<div class="history-tab">
        <div class="agent-history-header sorted-grid">
            <div></div>
            <div class="agent-history-header-item" ng-click="ctrl.sortByNames(history)">{{'AGT_CONTENT_HIS_NAME' | translate}}</div>
            <div class="agent-history-header-item">{{'AGT_CONTENT_HIS_TYPE' | translate}}</div>
            <div class="agent-history-header-item agent-history-header-date" ng-click="ctrl.sortByDates(history)">{{'AGT_CONTENT_HIS_DATE' | translate}}<i 
                aria-hidden="true" class="fas" ng-class="ctrl.getDateToggleClass()"></i></div>
            <div class="agent-history-header-item"></div>
        </div>
        <div ng-repeat="dayAndCalls in history track by $index" class="no-border agent-history-content">
            <div ng-if="isLoading" class="empty-text"><i class="fa fa-2x fa-spinner fa-pulse fa-fw"></i></div>
            <div ng-show="!dayAndCalls.details.length" class="empty-text">{{'AGT_HISTORY_EMPTY' | translate}}</div>
            <div ng-show="dayAndCalls.details.length" class="agent-history-day">{{ctrl.formatHistoryDay(dayAndCalls.day)}}</div>
            <div ng-repeat="call in dayAndCalls.details track by $index" class="agent-history-call" ng-class="ctrl.getDisplayClass(call)"
            ng-mouseover="call.hover=true" ng-mouseleave="call.hover=false" ng-click="ctrl.toggleChildrens(call)">
            <div class="call-list-wrapper sorted-grid">
            <div>
                <i ng-class="ctrl.getChevronClass(call)"
                class="fa children-chevron" aria-hidden="true"></i>
            </div>
                <div class="agent-history-phone">
                    <span ng-if="call.targetFirstName || call.targetLastName" title="{{call.targetNumber}}">
                        <p class="name-inline" long-text="{{call.targetLastName}} {{call.targetFirstName}}" max-chars="12"></p>
                        <span ng-if="call.childCount > 1"><i>({{call.childCount}})</i></span>
                    </span>
                    <span ng-if="!(call.targetFirstName || call.targetLastName)">
                        {{call.targetNumber}}
                        <span ng-if="call.childCount > 1"><i>({{call.childCount}})</i></span>
                    </span>
                    </div>
                    <div class="agent-history-status text-center"><img ng-src="{{ctrl.getCallStatus(call.callDetailList[0].status)}}"/></div>
                    <div class="agent-history-time text-center">
                        {{call.callDetailList[0].start | hour}}
                    </div>
                    <div class="text-center agent-history-call-button" ng-click="ctrl.stopEventAndDial($event, call.targetNumber)">
                            <i class="fa fa-circle fa-stack-2x"></i>
                            <i class="fa fa-phone fa-stack-1x"></i>
                    </div>
                </div>
                <call-lister call-list="call.callDetailList" ng-if="ctrl.showChildrens(call)" icon-retrieved="ctrl.getCallStatus" ></call-lister>
            </div>
        </div>
</div>